> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Other Assets

> Check the processing status of an other assets P&L job.



## OpenAPI

````yaml api-reference/it/calculator/openapi.json POST /it/calculator/pnl/other
openapi: 3.1.0
info:
  title: Sandbox API [Prod]
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/calculator/pnl/other:
    post:
      tags:
        - pnl
        - other
      summary: Get P&L Sync
      parameters:
        - name: x-accept-type
          in: header
          required: false
          deprecated: false
          schema: {}
          example: application/json
        - name: x-api-key
          in: header
          required: true
          description: Your API key used to authenticate and authorize the request.
          deprecated: false
          schema:
            type: string
          example: '{{api_key}}'
        - name: x-api-version
          in: header
          required: true
          description: >-
            Indicates the version of the API you want to use. Ensures
            backward-compatible behavior.
          deprecated: false
          schema:
            type: string
          example: '{{version}}'
        - name: Authorization
          in: header
          required: true
          description: 'Token for user-level authorization. '
          deprecated: false
          schema:
            type: string
          example: '{{access_token}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                '@entity':
                  type: string
                sheets:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      '@entity':
                        type: string
                      blocks:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            '@entity':
                              type: string
                            header:
                              type: array
                              items:
                                type: string
                            rows:
                              type: array
                              items:
                                type: array
                                items:
                                  type: string
            example:
              name: other_tradewise_settlement_workbook
              '@entity': workbook
              sheets:
                - name: tradewise_settlement_sheet
                  '@entity': sheet
                  blocks:
                    - name: tradewise_settlement_table
                      '@entity': table
                      header:
                        - serial_number
                        - asset_type
                        - asset_name
                        - country
                        - currency
                        - buy_date
                        - buy_price
                        - cost_of_acquisition
                        - sell_date
                        - sell_price
                        - transfer_expenses
                      rows:
                        - - 6abba3b3-d061-45f5-a947-c6a944663605
                          - jewelry
                          - jew
                          - india
                          - INR
                          - 1696185000000
                          - 25000000
                          - 25000000
                          - 1712255400000
                          - 17500100
                          - 10000
                        - - 592994fb-3b14-4ec7-9203-502cd8927bec
                          - art
                          - art
                          - india
                          - INR
                          - 1286649000000
                          - 9590000
                          - 9590000
                          - 1712169000000
                          - 24520000
                          - 17000
                        - - 991d604c-989f-4530-948b-fa2e609c2d56
                          - car
                          - car
                          - india
                          - INR
                          - 1286649000000
                          - 8590010
                          - 8590010
                          - 1712169000000
                          - 24582000
                          - 17000
                        - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                          - other
                          - other
                          - india
                          - INR
                          - 1697740200000
                          - 2301010
                          - 2301010
                          - 1712169000000
                          - 1309000
                          - 12400
                    - name: cost_of_improvement_table
                      '@entity': table
                      header:
                        - settlement_serial_number
                        - financial_year
                        - cost
                        - indexed_cost
                      rows:
                        - - 592994fb-3b14-4ec7-9203-502cd8927bec
                          - FY 2011-12
                          - 250000
                          - null
                        - - 991d604c-989f-4530-948b-fa2e609c2d56
                          - FY 2012-13
                          - 250000
                          - null
                        - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                          - FY 2023-24
                          - 1330
                          - null
      responses:
        '200':
          description: 200 OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  data:
                    type: object
                    properties:
                      name:
                        type: string
                      '@entity':
                        type: string
                      sheets:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            '@entity':
                              type: string
                            blocks:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  '@entity':
                                    type: string
                                  header:
                                    type: array
                                    items:
                                      type: string
                                  rows:
                                    type: array
                                    items:
                                      type: array
                                      items:
                                        type: string
                  timestamp:
                    type: string
                    format: utc-millisec
              example:
                transaction_id: 9529f60d-ab22-4138-ac58-9b6bcdbd843c
                code: 200
                data:
                  '@entity': workbook
                  sheets:
                    - '@entity': sheet
                      blocks:
                        - '@entity': table
                          header:
                            - settlement_id
                            - asset_type
                            - asset_name
                            - country
                            - currency
                            - holding_period
                            - turnover
                            - turnover_inr
                            - buy_date
                            - buy_price
                            - buy_price_inr
                            - cost_of_acquisition
                            - cost_of_acquisition_inr
                            - sell_date
                            - sell_price
                            - sell_price_inr
                            - total_cost_of_improvement
                            - total_cost_of_improvement_inr
                            - realized_pnl
                            - realized_pnl_inr
                            - transfer_expenses
                            - transfer_expenses_inr
                            - net_realized_pnl
                            - net_realized_pnl_inr
                          rows:
                            - - 6abba3b3-d061-45f5-a947-c6a944663605
                              - jewelry
                              - jew
                              - India
                              - INR
                              - short_term
                              - 17500100
                              - 17500100
                              - 1696185000000
                              - 25000000
                              - 25000000
                              - 0
                              - null
                              - 1712255400000
                              - 17500100
                              - 17500100
                              - 0
                              - 0
                              - -7499900
                              - -7499900
                              - 10000
                              - 10000
                              - -7509900
                              - -7509900
                            - - 592994fb-3b14-4ec7-9203-502cd8927bec
                              - art
                              - art
                              - India
                              - INR
                              - long_term
                              - 24520000
                              - 24520000
                              - 1286649000000
                              - 9590000
                              - 9590000
                              - 0
                              - null
                              - 1712169000000
                              - 24520000
                              - 24520000
                              - 250000
                              - 250000
                              - 14930000
                              - 14930000
                              - 17000
                              - 17000
                              - 14663000
                              - 14663000
                            - - 991d604c-989f-4530-948b-fa2e609c2d56
                              - car
                              - car
                              - India
                              - INR
                              - long_term
                              - 24582000
                              - 24582000
                              - 1286649000000
                              - 8590010
                              - 8590010
                              - 0
                              - null
                              - 1712169000000
                              - 24582000
                              - 24582000
                              - 250000
                              - 250000
                              - 15991990
                              - 15991990
                              - 17000
                              - 17000
                              - 15724990
                              - 15724990
                            - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                              - other
                              - other
                              - India
                              - INR
                              - short_term
                              - 1309000
                              - 1309000
                              - 1697740200000
                              - 2301010
                              - 2301010
                              - 0
                              - null
                              - 1712169000000
                              - 1309000
                              - 1309000
                              - 1330
                              - 1330
                              - -992010
                              - -992010
                              - 12400
                              - 12400
                              - -1005740
                              - -1005740
                          name: tradewise_pnl_table
                        - '@entity': table
                          header:
                            - settlement_id
                            - financial_year
                            - cost
                            - indexed_cost
                          rows:
                            - - 592994fb-3b14-4ec7-9203-502cd8927bec
                              - FY 2011-12
                              - 250000
                              - 493206.52
                            - - 991d604c-989f-4530-948b-fa2e609c2d56
                              - FY 2012-13
                              - 250000
                              - 453750
                            - - cfb66c3b-ae78-4559-9755-ee83ba1f5540
                              - FY 2023-24
                              - 1330
                              - 1387.33
                          name: cost_of_improvement_table
                      name: tradewise_pnl_sheet
                  name: other_tradewise_pnl_workbook
                timestamp: '1740056171000'

````